Package Details: pacseek 1.8.3-1

Git Clone URL: https://aur.archlinux.org/pacseek.git (read-only, click to copy)
Package Base: pacseek
Description: A terminal user interface for searching and installing Arch Linux packages
Upstream URL: https://github.com/moson-mo/pacseek
Keywords: alpm aur go package pacman search yay
Licenses: MIT
Submitter: moson
Maintainer: moson
Last Packager: moson
Votes: 30
Popularity: 1.61
First Submitted: 2022-03-27 10:00 (UTC)
Last Updated: 2024-03-30 09:31 (UTC)

Dependencies (4)

Required by (0)

Sources (1)

Latest Comments

Locutus64 commented on 2024-03-16 13:05 (UTC)

I'm still getting yay wanting to install 1.8.2-1. I just tried.

ChonkaLoo commented on 2024-03-16 12:38 (UTC)

Yes -3 installed perfectly, thanks!

moson commented on 2024-03-16 12:20 (UTC)

Should be ok now with -3

ChonkaLoo commented on 2024-03-16 10:13 (UTC)

Latest update, 1.8.2-2 fails to compile on my system at least.

github.com/Jguer/go-alpm/v2

../gopath/pkg/mod/github.com/!jguer/go-alpm/v2@v2.2.1/db_six.go:29:103: cannot use _cgo0 (variable of type _Ctype_struct___alpm_list_t) as _Ctype_struct__alpm_list_t value in argument to _Cfunc_alpm_find_group_pkgs ../gopath/pkg/mod/github.com/!jguer/go-alpm/v2@v2.2.1/deps.go:26:75: cannot use _cgo0 (variable of type _Ctype_struct___alpm_handle_t) as _Ctype_struct__alpm_handle_t value in argument to _Cfunc_alpm_find_dbs_satisfier ../gopath/pkg/mod/github.com/!jguer/go-alpm/v2@v2.2.1/deps.go:26:75: cannot use _cgo1 (variable of type _Ctype_struct___alpm_list_t) as _Ctype_struct__alpm_list_t value in argument to _Cfunc_alpm_find_dbs_satisfier ../gopath/pkg/mod/github.com/!jguer/go-alpm/v2@v2.2.1/deps.go:43:78: cannot use _cgo0 (variable of type _Ctype_struct___alpm_list_t) as _Ctype_struct__alpm_list_t value in argument to _Cfunc_alpm_find_satisfier ../gopath/pkg/mod/github.com/!jguer/go-alpm/v2@v2.2.1/package_six.go:42:53: cannot use _cgo0 (variable of type _Ctype_struct___alpm_list_t) as _Ctype_struct__alpm_list_t value in argument to _Cfunc_alpm_list_count ../gopath/pkg/mod/github.com/!jguer/go-alpm/v2@v2.2.1/package_six.go:43:34: cannot use _cgo0 (variable of type _Ctype_struct___alpm_list_t) as _Ctype_struct__alpm_list_t value in argument to _Cfunc_alpm_list_msort ==> ERROR: A failure occurred in build(). Aborting... -> error making: pacseek-exit status 4 -> Failed to install the following packages. Manual intervention is required: pacseek - exit status 4

pacseek: error while loading shared libraries: libalpm.so.13: cannot open shared object file: No such file or directory

moson commented on 2023-06-23 05:37 (UTC)

@haawda: Fixed. Thanks for noticing.

haawda commented on 2023-06-22 20:57 (UTC) (edited on 2023-06-22 20:58 (UTC) by haawda)

Please rename the downloaded tarball to something including pkgname.

source=("pkgname-$pkgver.tar.gz::https://github.com/moson-mo/pacseek/archive/v1.7.10.tar.gz")